io.milvus.v2.utils

## Class DataUtils.InsertBuilderWrapper

- java.lang.Object
- - io.milvus.v2.utils.DataUtils.InsertBuilderWrapper

- Enclosing class:
    DataUtils

      public static class DataUtils.InsertBuilderWrapper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsertBuilderWrapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.milvus.grpc.InsertRequest` | `convertGrpcInsertRequest(@NonNull InsertReq requestParam, DescCollResponseWrapper wrapper)`
    `io.milvus.grpc.UpsertRequest` | `convertGrpcUpsertRequest(@NonNull UpsertReq requestParam, DescCollResponseWrapper wrapper)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsertBuilderWrapper

          public InsertBuilderWrapper()

  - ### Method Detail

    - #### convertGrpcInsertRequest

          public io.milvus.grpc.InsertRequest convertGrpcInsertRequest(@NonNull
                                                                       @NonNull InsertReq requestParam,
                                                                       DescCollResponseWrapper wrapper)

    - #### convertGrpcUpsertRequest

          public io.milvus.grpc.UpsertRequest convertGrpcUpsertRequest(@NonNull
                                                                       @NonNull UpsertReq requestParam,
                                                                       DescCollResponseWrapper wrapper)